%global _empty_manifest_terminate_build 0
Name:           python-daiquiri
Version:        3.0.0
Release:        2
Summary:        Library to configure Python logging easily
License:        Apache-2.0
URL:            https://github.com/jd/daiquiri
Source0:        https://files.pythonhosted.org/packages/29/df/b85ab597d3940d91830dc3ce3084c0d84ec27e1c16321d2ad33aea4a0f2f/daiquiri-3.0.0.tar.gz
BuildArch:      noarch
%description
The daiquiri library provides an easy way to configure logging.
It also provides some custom formatters and handlers.

%package -n python3-daiquiri
Summary:        Library to configure Python logging easily
Provides:       python-daiquiri
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools_scm
# General requires
BuildRequires:  python3-json-logger
BuildRequires:  python3-systemd
# Tests running requires
BuildRequires:  python3-pytest
# General requires
Requires:       python3-json-logger
Requires:       python3-systemd
# Tests running requires
Requires:       python3-pytest
%description -n python3-daiquiri
The daiquiri library provides an easy way to configure logging.

%package help
Summary:        Library to configure Python logging easily
Provides:       python3-daiquiri-doc
%description help
The daiquiri library provides an easy way to configure logging.

%prep
%autosetup -n daiquiri-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-daiquiri -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jul 29 2021 huangtianhua <huangtianhua@huawei.com> - 3.0.0-2
- Fix json-logger requirement
* Mon Jul 26 2021 OpenStack_SIG <openstack@openeuler.org> - 3.0.0-1
- Package Spec generate
